## org.eclipse.emf.ecore.sdo.impl
Class ETypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.sdo.impl.ETypeImpl

All Implemented Interfaces:
  Type, Adapter, Notifier, EObject, InternalEObject, EType

    public class ETypeImpl

extends EObjectImpl
implements EType, Adapter

An implementation of the model object 'EType'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<EStructuralFeature>` `eAllStructuralFeatures`
`protected EClassifier` `eClassifier` The cached value of the '`EClassifier`' reference
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute
`protected EList<EProperty>` `properties`
`protected java.util.Map<java.lang.String,EProperty>` `propertyNameToPropertyMap`
`protected static java.lang.String` `URI_EDEFAULT` The default value of the '`URI`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ETypeImpl()`

Method Summary
`protected EList<EProperty>` `adaptProperties(java.util.List<? extends EStructuralFeature> eStructuralFeatures)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EClassifier` `getEClassifier()`
`EProperty` `getEProperty(java.lang.String propertyName)`
`java.lang.Class<?>` `getInstanceClass()`
`java.lang.String` `getName()`
`java.util.List<EProperty>` `getProperties()` Returns the list of the `properties` of this type.
`EList<EProperty>` `getPropertiesGen()`
`Property` `getProperty(java.lang.String propertyName)`
`Notifier` `getTarget()`
`java.lang.String` `getURI()`
`boolean` `isAdapterForType(java.lang.Object type)`
`boolean` `isInstance(java.lang.Object object)`
`void` `notifyChanged(Notification msg)`
`void` `setEClassifier(EClassifier newEClassifier)`
`void` `setTarget(Notifier newTarget)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### URI_EDEFAULT

    protected static final java.lang.String URI_EDEFAULT

  The default value of the '`URI`' attribute.

  See Also:
    `getURI()`

### eClassifier

    protected EClassifier eClassifier

  The cached value of the '`EClassifier`' reference.

  See Also:
    `getEClassifier()`

### properties

    protected EList<EProperty> properties

### eAllStructuralFeatures

    protected EList<EStructuralFeature> eAllStructuralFeatures

### propertyNameToPropertyMap

    protected java.util.Map<java.lang.String,EProperty> propertyNameToPropertyMap

Constructor Detail

### ETypeImpl

    protected ETypeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Type`
  Returns:
    the type name.

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `Type`
  Returns:
    the namespace URI.

### getInstanceClass

    public java.lang.Class<?> getInstanceClass()

  Specified by:
    `getInstanceClass` in interface `Type`
  Returns:
    the Java class.

### getPropertiesGen

    public EList<EProperty> getPropertiesGen()

### adaptProperties

    protected EList<EProperty> adaptProperties(java.util.List<? extends EStructuralFeature> eStructuralFeatures)

### getProperties

    public java.util.List<EProperty> getProperties()

  Description copied from interface: `Type`
  Returns the list of the `properties` of this type.

  The expression

         type.getProperties().indexOf(property)

  yields the property's index relative to this type. As such, these expressions are equivalent:

          dataObject.get(i)
          dataObject.get((Property)dataObject.getType().getProperties().get(i));

  Specified by:
    `getProperties` in interface `Type`
  Returns:
    the properties of the type.
  See Also:
    `Property.getContainingType()`

### getEClassifier

    public EClassifier getEClassifier()

  Specified by:
    `getEClassifier` in interface `EType`
  Returns:
    the value of the 'EClassifier' reference.
  See Also:
    `EType.setEClassifier(EClassifier)`, `SDOPackage.getEType_EClassifier()`

### setEClassifier

    public void setEClassifier(EClassifier newEClassifier)

  Specified by:
    `setEClassifier` in interface `EType`
  Parameters:
    `newEClassifier` - the new value of the 'EClassifier' reference.
  See Also:
    `EType.getEClassifier()`

### isInstance

    public boolean isInstance(java.lang.Object object)

  Specified by:
    `isInstance` in interface `Type`
  Parameters:
    `object` - the object in question.
  Returns:
    `true` if the object is an instance.
  See Also:
    `Class.isInstance(java.lang.Object)`

### getProperty

    public Property getProperty(java.lang.String propertyName)

  Specified by:
    `getProperty` in interface `Type`
  Returns:
    the property with the specified name.
  See Also:
    `Type.getProperties()`

### getEProperty

    public EProperty getEProperty(java.lang.String propertyName)

  Specified by:
    `getEProperty` in interface `EType`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Specified by:
    `isAdapterForType` in interface `Adapter`

### notifyChanged

    public void notifyChanged(Notification msg)

  Specified by:
    `notifyChanged` in interface `Adapter`

### getTarget

    public Notifier getTarget()

  Specified by:
    `getTarget` in interface `Adapter`

### setTarget

    public void setTarget(Notifier newTarget)

  Specified by:
    `setTarget` in interface `Adapter`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.